#
# spec file for package busybox (Version 1.00.pre8)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  dietlibc uClibc

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils dietlibc gcc gdbm gettext libtool perl rpm uClibc

Name:         busybox
URL:          http://www.busybox.net/
%ifarch armv4l mips
%define dietlibc 0
%define uclibc 1
%else
%define dietlibc 1
%define uclibc 0
%endif
Version:      1.00.pre8
Release:      26.3
Summary:      The Swiss Army Knife of Embedded Linux
License:      GPL
Group:        System/Base
Autoreqprov:  on
Source:       http://busybox.net/downloads/busybox-1.00-pre8.tar.bz2
Source2:      busybox-%{version}-SuSE-dietlibc.config
Source3:      busybox-%{version}-SuSE-uclibc.config
Patch1:       busybox-%{version}-dietlibc.patch
Patch2:       busybox-%{version}-install.patch
Patch3:       busybox-1.00-pre8-compiler-fixes.diff
Patch5:       busybox-%{version}-syscalls.patch
Patch6:       busybox-1.00-pre8-amd64-hack.patch
Patch7:       busybox-1.00.pre8-netlink.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%if %{uclibc}
Requires:     uClibc
%endif

%description
BusyBox combines tiny versions of many common UNIX utilities into a
single small executable. It provides minimalist replacements for most
of the utilities you usually find in fileutils, shellutils, findutils,
textutils, grep, gzip, tar, etc. BusyBox provides a fairly complete
POSIX environment for any small or emdedded system. The utilities in
BusyBox generally have fewer options then their full featured GNU
cousins; however, the options that are included provide the expected
functionality and behave very much like their GNU counterparts.



Authors:
--------
    Erik B. Andersen <andersee@debian.org>

%prep
%setup -q -n busybox-1.00-pre8
%patch1
%patch3 -p2
%patch5
%patch6
%patch7 -p1
%if %{dietlibc}
cp -av %{S:2} .config
%else
cp -av %{S:3} .config
%endif
%ifarch ia64 x86_64
echo CONFIG_FEATURE_2_4_MODULES=n >> .config
%endif

%build
find -name CVS | xargs rm -rf
make

%install
find -name ".cvsignore" -exec rm {} \;
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/busybox
install busybox.links $RPM_BUILD_ROOT/usr/share/busybox
install applets/install.sh $RPM_BUILD_ROOT/usr/bin/busybox.install
install busybox $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/man/man1
install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT/usr/share/man/man1

%files
%defattr(-,root,root)
%doc docs/* tests
%doc %{_mandir}/man1/BusyBox.1.gz
/usr/bin/busybox
/usr/bin/busybox.install
%dir /usr/share/busybox
%config /usr/share/busybox/busybox.links

%changelog -n busybox
* Mon May 10 2004 - nashif@suse.de
- Bug #39461 - Fixes netlink vulnerability
* Mon Mar 01 2004 - nashif@suse.de
- Update to 1.0 pre 8
* Wed Feb 11 2004 - ro@suse.de
- hack to build it on amd64
* Tue Feb 10 2004 - schwab@suse.de
- Fix building on ia64.
* Wed Feb 04 2004 - kukuk@suse.de
- Remove wrong dietlibc requires
* Mon Feb 02 2004 - hare@suse.de
- Fixed spec file to build on all archs.
* Fri Jan 30 2004 - hare@suse.de
- Update to 1.00-pre5
- Patched dietlibc support to use a menuconfig option.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Dec 10 2003 - uli@suse.de
- build with dietlibc where available
* Mon Jun 02 2003 - nashif@suse.de
- Set Autoreqprov:  on
* Thu May 29 2003 - nashif@suse.de
- Updated with latest stable release incl. patches.
* Sat May 17 2003 - nashif@suse.de
- Removed CVS files
* Sat Nov 02 2002 - nashif@suse.de
- Update to version 0.60.5
- Unique patch names
* Mon Jun 10 2002 - nashif@suse.de
- Update to version 0.60.3
* Mon Nov 26 2001 - nashif@suse.de
- Update to version 0.60.2
- Major Changes:
  * msh was reworked
  * reworked hostname
  * Various bugfixes
* Fri Aug 24 2001 - nashif@suse.de
- Update to version 0.60.1
- This is a relatively minor bug fixing release which fixes bugs
  in the following applets, among others: msh, sed, route, syslogd,
  ifconfig, lash
- Rewrite of tftp
* Sat Aug 04 2001 - nashif@suse.de
- Update to version 0.60.0
* Fri Jul 13 2001 - nashif@suse.de
- Update to version 0.52
* Wed Apr 11 2001 - nashif@suse.de
- Update to version 0.51
* Fri Feb 09 2001 - nashif@suse.de
- Fixed sync.c to compile
* Mon Feb 05 2001 - nashif@suse.de
- Update to version 0.49
* Wed Dec 20 2000 - uli@suse.de
- disabled insmod for all archs except IA32, ARM and SH
* Tue Dec 19 2000 - nashif@suse.de
- Update to 0.48 (Fixes many bugs)
* Mon Nov 27 2000 - nashif@suse.de
- Fixed pathes in install script
* Tue Nov 07 2000 - nashif@suse.de
- Added EM_486 and OPEN_MAX fixes
* Wed Sep 27 2000 - nashif@suse.de
- Update to 0.47
- Fix nfsmount.c
* Wed Aug 30 2000 - nashif@suse.de
- Fix for axp
* Mon Aug 28 2000 - nashif@suse.de
- Update to version 0.46
* Thu Jul 06 2000 - nashif@suse.de
- Fix install script (Bug #3195)
* Tue May 23 2000 - nashif@suse.de
- Initial Release (Version 0.43)
